TrustKeeper Scan Engine Update - December 6, 2012

We have just completed the latest and greatest update to the TrustKeeper Scan Engine and it is itching to get to its scan on. This release includes 27 new vulnerability checks for major applications including Apache Tomcat, Cisco IOS/ASA, Microsoft Windows, ProFTPD and others.

This update also includes newly added support for Home Network Administration Protocol (HNAP), which is commonly used in SOHO routers for ease of use during initial configuration. Despite being a useful feature that helps users configure their router, some implementations of the protocol lack authentication controls and can allow anyone to perform administrative functions from the inside network. SourceSec Security Research documented some of these deficiencies on D-LINK platforms in this research paper and we have implemented these techniques in our latest update.

New Vulnerability Test Highlights

Some of the more interesting vulnerability tests we added recently are as follows:

Apache
* Apache Tomcat Digest Access Authentication Bypass via Session Info (CVE-2012-5886)
* Apache Tomcat Header Request Size Denial of Service Vulnerability (CVE-2012-2733)
* Apache Tomcat Digest Access Authentication Replay Countermeasure Bypass Restrictions (CVE-2012-5885)

Cisco
* Cisco IOS DMVPN Spoke Denial of Service Vulnerability (CSCtq39602) (CVE-2012-3915)
* Cisco Smart Install Denial of Service Vulnerability (cisco-sa-20120328-smartinstall) (CVE-2012-0385)
* Cisco ASA UDP Inspection Engine Denial of Service (CSCtq10441) (CVE-2012-0353)
* Cisco ASA Threat Detection Denial of Service (CSCtw35765) (CVE-2012-0354)
* Cisco ASA Syslog Message 305006 Denial of Service (CSCts39634) (CVE-2012-0355)
* Cisco IP SLA Denial of Service (cisco-sa-20110928-ipsla) (CVE-2011-3272)

Generic SOHO Routers (D-Link, Cisco and Others)
* Home Networking Administration Protocol Authentication Bypass Vulnerability

Microsoft
* Vulnerabilities in Windows Shell Could Allow Remote Code Execution (MS12-072) (CVE-2012-1527, CVE-2012-1528)
* Vulnerabilities in Microsoft Internet Information Services (IIS) Could Allow Information Disclosure (MS12-073) (CVE-2012-2531, CVE-2012-2532)
* Microsoft WIndows Win32k Use After Free Vulnerability (CVE-2012-2530, CVE-2012-2553)

ProFTPD
* ProFTPD Prior to 1.3.2rc2 SQL Injection Vulnerability (CVE-2009-0542)

How to Update?

All Trustwave customers using the TrustKeeper Scan Engine receive the updates "auto-magically" as soon as an update is available. No action is required.

Trustwave reserves the right to review all comments in the discussion below. Please note that for security and other reasons, we may not approve comments containing links.